package com.bocloud.cmp.provider.azure.db.virtualnetwork;

import com.bocloud.cmp.model.azure.db.AzureDatabaseServerModel;
import com.bocloud.cmp.model.azure.db.DbVnetRuleModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: CloudDatabaseVirtualNetworkRuleProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/2/4 17:01
 */
public interface DbVnetRuleProvider extends SuperProvider {

    default BocloudResult list(AzureDatabaseServerModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult create(DbVnetRuleModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult modify(DbVnetRuleModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult detail(DbVnetRuleModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(DbVnetRuleModel model) {
        return new BocloudResult(false, "need implement");
    }


}